FTBFS in Ubuntu 11.04

Bug #670139 reported by Barry Warsaw
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
subversion (Ubuntu)
Fix Released
High
Barry Warsaw

Bug Description

Binary package hint: subversion

Subversion currently ftbfs in Natty due to a handful of failures in the Python 2.7 test suite. I've reported the bug upstream but haven't heard anything about it. I have a patch that simply disables these tests for Python 2.7, but I'll look to see if the problem has been solved properly in Debian or Fedora.

Tags: python27
Barry Warsaw (barry)
tags: added: python27
Changed in subversion (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Barry Warsaw (barry)
milestone: none → natty-alpha-1
Barry Warsaw (barry)
Changed in subversion (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Barry Warsaw (barry) wrote :
Download full text (6.0 KiB)

Here is the bottom of the build log failure.

/usr/bin/make -C debian/tools \
        LD_LIBRARY_PATH=/build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/debian/tmp/usr/lib \
        DEB_SRCDIR=/build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg DEB_BUILDDIR=/build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/BUILD
make[1]: Entering directory `/build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/debian/tools'
rm -f svn-make-config svn-make-config.o
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
rm -rf svn-defaults
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
rm -rf .libs
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
cc -g -O2 -Wall -I/build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/subversion/include `apr-config --cppflags --includes --cflags` -c -o svn-make-config.o svn-make-config.c
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
libtool --mode=link gcc svn-make-config.o /build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/BUILD/subversion/libsvn_client/libsvn_client-1.la -o svn-make-config
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
libtool: link: gcc svn-make-config.o -o .libs/svn-make-config /build/barry-subversion_1.6.12dfsg-2ubuntu2-amd64-3bo_Ch/subversion-1.6.12dfsg/BUILD/subversion/libsvn...

Read more...

Revision history for this message
Loïc Minier (lool) wrote :

You got that merge request with the LD_LIBRARY_PATH fix? you'd like me to upload that with your other testsuite changes?

Revision history for this message
Barry Warsaw (barry) wrote :

Sorry, I've been ill for a few days and have not yet verified a fix. I'll work on that today and then take you up on that offer! :) Thanks.

Revision history for this message
Barry Warsaw (barry) wrote :

I'm afraid that did not fix the problem. sbuild doesn't really provide a very good environment for debugging build failures so I'm building out a vm to do more direct build testing.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package subversion - 1.6.12dfsg-2ubuntu2

---------------
subversion (1.6.12dfsg-2ubuntu2) natty; urgency=low

  [ Barry Warsaw ]
  * Fix FTBFS against Python 2.7 by disabling some problematic tests.
    (LP: #670139)

  [ Loïc Minier ]
  * Fix FTBFS in natty; LP: #670139; thanks Barry Warsaw.
    - Don't override LD_LIBRARY_PATH completely but prepend to it as to not
      break fakeroot.
    - debian/tools/Makefile: svn_config_ensure() moved from
      libsvn_client/libsvn_client-1.la to libsvn_subr/libsvn_subr-1.la.
 -- Barry Warsaw <email address hidden> Fri, 12 Nov 2010 15:16:04 -0500

Changed in subversion (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers